Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class GOST3410PrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.GOST3410KeyParameters
              org.bouncycastle.crypto.params.GOST3410PrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

    public class GOST3410PrivateKeyParameters

extends GOST3410KeyParameters

Constructor Summary
`GOST3410PrivateKeyParameters(java.math.BigInteger x, GOST3410Parameters params)`

Method Summary
`java.math.BigInteger` `getX()`

Methods inherited from class org.bouncycastle.crypto.params.GOST3410KeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3410PrivateKeyParameters

    public GOST3410PrivateKeyParameters(java.math.BigInteger x,
                                        GOST3410Parameters params)

Method Detail

### getX

    public java.math.BigInteger getX()

Bouncy Castle Cryptography Library 1.45